侧边栏壁纸
博主头像
王旭阳个人博客博主等级

工欲善其事,必先利其器

  • 累计撰写 121 篇文章
  • 累计创建 28 个标签
  • 累计收到 25 条评论

目 录CONTENT

文章目录

Gradle和Java的版本对应关系

wxy
wxy
2024-04-11 / 0 评论 / 4 点赞 / 93 阅读 / 23244 字
温馨提示:
本文最后更新于 2024-04-25,若内容或图片失效,请留言反馈。部分素材来自网络,若不小心影响到您的利益,请联系我们删除。

Gradle 是一个构建工具,可以帮助你构建、测试、打包和发布软件。

在使用 Gradle 时,通常需要使用 Java Development Kit (JDK) 来编译、运行和测试你的项目。

Gradle 的版本与 JDK 版本之间没有固定的对应关系。你可以使用 Gradle 与任何版本的 JDK 配合使用,只要 JDK 版本足够新,支持你使用的 Gradle 版本即可。

一般来说,你可以使用最新的 Gradle 版本,这样可以享受到最新的功能和性能改进。但是,如果你的项目有特殊的需求,例如使用了某些只支持特定版本的 JDK 特性,则可能需要使用特定的 Gradle 版本。

Gradle和Java的版本对应关系

Java version

Support for toolchains

Support for running Gradle

8

N/A

2.0

9

N/A

4.3

10

N/A

4.7

11

N/A

5.0

12

N/A

5.4

13

N/A

6.0

14

N/A

6.3

15

6.7

6.7

16

7.0

7.0

17

7.3

7.3

18

7.5

7.5

19

7.6

7.6

20

8.1

8.3

21

8.4

8.5

22

8.7

N/A

23

N/A

N/A

参考链接: https://docs.gradle.org/current/userguide/compatibility.html#java

4

评论区